<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- Meta -->
    <meta name="description" content="Crowdsoft Login">
    <meta name="author" content="BootstrapDash">

    <title>CROWDSOFT simplycollect</title>


    <!-- vendor css -->
    <link href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]" rel="stylesheet">

    <!-- azia CSS -->
    <link href='https://cdn.jsdelivr.net/npm/froala-editor@3.2.0/css/froala_editor.pkgd.min.css' rel='stylesheet' type='text/css'/>
    <link href="https://cdn.jsdelivr.net/npm/froala-editor@3.2.0/css/froala_style.min.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="./css/azia.css?v=[cs_version]">
    <link rel="stylesheet" href="./css/site.css?v=[cs_version]">
</head>

<body id="page-top">
{% include 'snippets/pb-loader.tpl' %} 

<div id="contentwrapper" style="display:none;">

    <div class="az-header az-header-dashboard-collect">
        <div class="container-fluid">
            <div class="az-header-left">
                <a href="index.html" class="az-logo"> <img class="az-logo" src="./img/global/crowdsoft_logo.gif"
                                                           alt="CROWDSOFT"><span class=" navbar-brand tx-22 font-weight-bold">&nbsp; simplycollect </span></a>
                <a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><span></span></a>
                <span class="d-lg-none navbar-brand tx-18 font-weight-bold">simplycollect</span>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <a href="index.html" class="az-logo"><span></span> <img class="az-logo"
                                                                            src="./img/global/crowdsoft_logo.gif" alt="CROWDSOFT"></a>
                    <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->
                <ul class="nav">
                    <!--li class="nav-item active show">
                        <a href="#" class="nav-link" id="trader_name"><i class="fas fa-store pd-r-10"></i><span
                                data-i18n="merchant_name"></span></a>
                    </li-->
                    <!--li class="nav-item">
                        <a href="" class="nav-link with-sub"><i class="typcn typcn-folder"></i>Optionen</a>
                        <div class="az-menu-sub" id="appmenu">
                            <nav class="nav">
                                <a href="#" class="nav-link">Nächster Kunde</a>
                                <a href="#" class="nav-link">Kunde abschließen</a>
                                <a href="#" id="language_change_test" class="nav-link">Sprache ändern</a>
                            </nav>
                        </div>
                    </li-->
                </ul>
            </div><!-- az-header-menu -->
            <div class="az-header-right">

            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content-dashboard-collect">

        <div class="az-content-body">
            <div class="az-content-body-left">
                <div class="d-flex justify-content-between align-items-center  mg-b-20">
                </div><!-- welcome text-->

                <div class=" row row-sm">
                    <div class="col-lg-6 ">
                        <div class="chat-area " id="jitsi">
                            <div id="video_container" class="video-chat pd-b-20">
                                <div class="card card-dashboard-twentyfour">
                                    <div class="card-header">
                                        <h6 class="az-content-label">Video Chat</h6>
                                        <span><i class="fas fa-expand"
                                                 onclick="document.querySelector('iframe').requestFullscreen();"></i></span>
                                    </div><!-- card-header -->
                                    <div class="card-body">
                                        <span id="creatorNotReadyYet">Der Videochat beginnt automatisch sobald Dein Gesprächspartner bereit ist.</span>
                                        <div id="meet" class="embed-responsive embed-responsive-4by3">

                                        </div>
                                    </div><!-- card-body -->
                                </div><!-- card video-->
                            </div>
                        </div><!-- chat-area-->
                    </div><!-- col -->
                    <div class="col-lg-6 mg-t-20 mg-lg-t-0" id="Warenkorb">
                        <div id="azCollectCart" class="card card-table-collect">
                            <label class="az-content-label az-content-label-sm">Protokoll</label>
                            <div id="preview" class="fr-view">

                            </div>
                        </div><!-- card-dashboard-five warenkorb -->
                    </div><!-- col -->

                </div><!-- row -->
            </div><!-- az-content-body-left -->

        </div><!-- az-content-body -->

        {% include 'snippets/copyRight.tpl' %}
        <!-- az-footer -->
        
    </div><!-- az-content -->

</div><!-- contentwrapper  -->

<div id="welcomeModalUsername" class="modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content modal-content-demo">
            <div class="modal-header">
                <h6 class="modal-title">Willkommen bei Easy2Gether</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <P>Wir freuen uns Dich bei simplycollect begrüssen zu dürfen. Gleich verbinden wir Dich mit Deinem Gesprächspartner.<br/>
                    Da wir viel Wert auf eine persönliche Beratung legen, würden wir Dich gerne mit Deinem Namen ansprechen. Diesen kannst Du jetzt unten in das Eingabefeld eingeben.<br/>
                    Wenn Du uns Deinen Namen nicht nennen möchtest ist das aber auch kein Problem, lasse das Feld dann einfach leer und Klick direkt auf Starten.<br/>
                </P>


                <div class="d-lg-flex mg-y-20">
                    <div class="form-group mg-b-0">
                        <label class="form-label">Name: <span class="tx-danger">*</span></label>
                        <input type="text" id="customer_name" class="form-control wd-250" placeholder="Ihr Name eingeben" required="">
                    </div><!-- form-group -->
                </div><!-- d-flex -->
            </div><!-- modal-body -->
            <div class="modal-footer">
                <button id="startApp" class="btn btn-az-primary pd-x-20" data-dismiss="modal">Starten</button>
            </div>
        </div>
    </div><!-- modal-dialog -->
</div><!-- modal -->
<script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
<script src="./js/pbjs/vendor/jquery/jquery.cookie.js?v=[cs_version]"></script>
<script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
<script type="module" src="/style-global/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
<script nomodule="" src="/style-global/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
<script src="./js/azia.js?v=[cs_version]"></script>
<script type='text/javascript' src='https://cdn.jsdelivr.net/npm/froala-editor@3.2.0/js/froala_editor.pkgd.min.js'></script>
<script defer type="module">
    import {pbBrain} from './js/pbjs/pb-brain.js?v=[cs_version]';
    import {PbAccount} from './js/pbjs/pb-account.js?v=[cs_version]';

    let urlParams = new URLSearchParams(window.location.search)
    if (urlParams.has("sid")) {
        new PbAccount().getapikeyfor("simplycollect", "simplycollect", function (apikey) {
            $.cookie("apikey", apikey, {path: '/'});
            $.cookie("consumer_name", urlParams.get("sid"), {path: '/'});

            $("#merchant_id").val(urlParams.get("sid"))
            $("#merchant_id").prop('disabled', true);

            $("#welcomeModalUsername").modal()
            $('#welcomeModalUsername').on('hidden.bs.modal', function (e) {
                $.cookie("username", $("#customer_name").val(), {path: '/'});
                new pbBrain().boot("part-circuit", true);

            })
        })
    } else {
        alert("No meeting-id provided")
    }
</script>
<script>


    $(function () {
        'use strict'


        /* Customer queue bar and tab functions */

        if ($('.az-queuebar .nav-link.active').length) {
            var targ = $('.az-queuebar .nav-link.active').attr('href');
            $(targ).addClass('show');

            if (window.matchMedia('(min-width: 1200px)').matches) {
                $('.az-queuebar-aside').addClass('show');
            }

            if (window.matchMedia('(min-width: 992px)').matches &&
                window.matchMedia('(max-width: 1199px)').matches) {
                $('.az-queuebar .nav-link.active').removeClass('active');
            }
        }

        $('.az-queuebar .nav-link').on('click', function (e) {
            e.preventDefault();

            $(this).addClass('active');
            $(this).siblings().removeClass('active');

            $('.az-queuebar-aside').addClass('show');

            var targ = $(this).attr('href');
            $(targ).addClass('show');
            $(targ).siblings().removeClass('show');
        });

        $('.az-queuebar-body .with-sub').on('click', function (e) {
            e.preventDefault();
            $(this).parent().addClass('show');
            $(this).parent().siblings().removeClass('show');
        });

        $('.az-queuebar-toggle-menu').on('click', function (e) {
            e.preventDefault();
            $('.az-queuebar .nav-link.active').removeClass('active');
            $('.az-queuebar-aside').removeClass('show');

            if (window.matchMedia('(max-width: 992px)').matches) {
                $('.az-queuebar .nav-link.active').removeClass('active');
                $('.az-queuebar-aside').removeClass('show');
            } else {
                $('body').removeClass('az-queuebar-show');
            }
        })


    });

</script>
<!-- az-script includes -->


</body>

</html>

